#!/bin/sh
export PATH='/usr/lib/ccache/bin:/usr/local/bin:/usr/bin:/bin'
echo 'name: QuickCheck
version: 2.7.6
id: QuickCheck-2.7.6-c91400c2567beb39ef09c1d31f774cf2

license: BSD3
copyright: 2000-2014 Koen Claessen, 2006-2008 Björn Bringert, 2009-2014 Nick Smallbone
maintainer: QuickCheck developers <quickcheck@projects.haskell.org>
stability:
homepage: https://github.com/nick8325/quickcheck
package-url:
synopsis: Automatic testing of Haskell programs
description: QuickCheck is a library for random testing of program properties.
             .
             The programmer provides a specification of the program, in
             the form of properties which functions should satisfy, and
             QuickCheck then tests that the properties hold in a large number
             of randomly generated cases.
             .
             Specifications are expressed in
             Haskell, using combinators defined in the QuickCheck library.
             QuickCheck provides combinators to define properties, observe
             the distribution of test data, and define test
             data generators.
category: Testing
author: Koen Claessen <koen@chalmers.se>
exposed: True
exposed-modules: Test.QuickCheck Test.QuickCheck.Arbitrary
                 Test.QuickCheck.Gen Test.QuickCheck.Gen.Unsafe
                 Test.QuickCheck.Monadic Test.QuickCheck.Modifiers
                 Test.QuickCheck.Property Test.QuickCheck.Test Test.QuickCheck.Text
                 Test.QuickCheck.Poly Test.QuickCheck.State Test.QuickCheck.Random
                 Test.QuickCheck.Exception Test.QuickCheck.Function
                 Test.QuickCheck.All
hidden-modules:
trusted: False
import-dirs: /usr/lib/ghc-7.8.2/site-local/QuickCheck-2.7.6
library-dirs: /usr/lib/ghc-7.8.2/site-local/QuickCheck-2.7.6
hs-libraries: HSQuickCheck-2.7.6
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.0-9dd94c6fa40914f9287ea41949cd31fb
         random-1.0.1.1-8e8a3636757331a8b268f97aa843c866
         template-haskell-2.9.0.0-8fa551e4272af6b5cc6c449baba4a8aa
         tf-random-0.5-ba3725393aafa4661545e2cd9122cff2
         transformers-0.3.0.0-bcaf56a6705f695d8f2100459e341e90
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/i386-linux-ghc-7.8.2/QuickCheck-2.7.6/html/QuickCheck.haddock
haddock-html: /usr/share/doc/i386-linux-ghc-7.8.2/QuickCheck-2.7.6/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
